<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetRevisionNumberIDFromFile Method (IEdmRevisionMgr2)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRevisionMgr2 Interface : GetRevisionNumberIDFromFile Method (IEdmRevisionMgr2)

Visual Basic
C#
C++/CLI

lFileID
  ID of file for which to get a revision number (see Remarks)

pbCanIncrement
  True if the next increment will succeed, false if not

Gets the active revision number of the specified file.

# Syntax

Visual Basic |
--- | ---

    Function GetRevisionNumberIDFromFile( _
       ByVal lFileID As System.Integer, _
       ByRef pbCanIncrement As System.Boolean _
    ) As System.Integer

C# |
--- | ---

    System.int GetRevisionNumberIDFromFile(
       System.int lFileID,
       out System.bool pbCanIncrement
    )

C++/CLI |
--- | ---

    System.int GetRevisionNumberIDFromFile(
    &   System.int lFileID,
    &   [Out] System.bool pbCanIncrement
    )

#### Parameters

lFileID
  ID of file for which to get a revision number (see Remarks)
pbCanIncrement
  True if the next increment will succeed, false if not

#### Return Value

Revision number ID; 0 if no revision number is found for the file

# Example

Set Initial Revision (VB.NET)
Set Initial Revision (C#)

# Remarks

Before calling this method, set lFileID using IEdmFile5.ID.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmRevisionMgr2 Interface
IEdmRevisionMgr2 Members

# Availability

SOLIDWORKS PDM Professional 2007 SP03